Subject: [Mip6] Volunteer to keep track of issues w.r.t RFC3775

From: Basavaraj Patil <[email-masked]>
Date: Mon, 19 Feb 2007 16:14:13 -0600

Hello,

As we are moving forward with developing various extensions and
enhancements to Mobile IPv6, we also need to ensure that we are
Identifying and tracking any issues with the base protocol (RFC 3775)
itself. In fact the charter states:
"
Additionally the working group will ensure
that any issues identified by implementation and interoperability
experience are addressed, and that the base specifications are
maintained.
"

We need a volunteer who will maintain such a list of issues that are
identified and discussed on the mailing list. Please send the chairs a
note if you would be willing to act as the base-spec issue tracker.

-Raj

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 20 Feb 2007 19:37:42 +0100

I volunteer that.

Alex

---

From: Basavaraj Patil <[email-masked]>
Date: Tue, 20 Feb 2007 14:38:44 -0600

Hello,

Rich Groves has volunteered to maintain the issue list for the base
specification (RFC3775).

We will use the issue tracker at:
http://www.mip4.org/issues/tracker/mip6/

as the tool for tracking the issues. If you have any known issues at this
time, please send them to Rich ( rich.groves at twcable.com)

-Raj

---

From: Basavaraj Patil <[email-masked]>
Date: Tue, 20 Feb 2007 14:43:00 -0600

Alex,

Thanks for volunteering. But Rich Groves had sent in an email prior to yours
and we chose him. Your efforts or help in other tasks for this WG would be
appreciated and we will ask you for such in the near future.

-Raj

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 21 Feb 2007 10:41:21 +0100

Basavaraj Patil wrote:
> Alex,
> 
> Thanks for volunteering. But Rich Groves had sent in an email prior
> to yours and we chose him. Your efforts or help in other tasks for
> this WG would be appreciated and we will ask you for such in the near
> future.

That's fine thanks, I'll comment on these issues anyways.

The issues around 3775 have been discussed on the mailing list
[email-masked] and on the prior mobileip list at playground at SUN since
June 2004.  So that's a lot of archived mail to search :-(

I could remember the following:

-a certain MH type wrongly documented as '2' in RFC.
-DHAAD and MPD could be used for botstrapping.
-HA sends Binding Error or not and in which cases.
-HA sends Binding Refresh Request or not and in which cases.

I'm almost 100% sure that more issues than these 4 were discussed.  And
I think there are more issues that have not been discussed at all since
June 2004, at least DHCP and multicast with the MN-HA tunnel.

Alex

>>> Identifying and tracking any issues with the base protocol (RFC
>>> 3775) itself. In fact the charter states: " Additionally the
>>> working group will ensure that any issues identified by
>>> implementation and interoperability experience are addressed, and
>>> that the base specifications are maintained. "
>>> 
>>> We need a volunteer who will maintain such a list of issues that
>>> are identified and discussed on the mailing list. Please send the
>>> chairs a note if you would be willing to act as the base-spec
>>> issue tracker.
>>> 
>>> -Raj
>>> 
>>> 
>>> _______________________________________________ Mip6 mailing list
>>>  [email-masked] https://www1.ietf.org/mailman/listinfo/mip6
>>> 
> 
>

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 22 Feb 2007 17:09:22 -0600

One more issue that I think needs to be addressed is the following:

______________________________________________ 
From: 	Muhanna, Ahmad [RICH2:2Q30:EXCH]  
Sent:	Thursday, May 18, 2006 9:27 AM
To:	[email-masked]'
Cc:	[email-masked]'; 'Charles E. Perkins';
[email-masked]'; Khalil, Mohamed [RICH2:2S20:EXCH]; 'Basavaraj
Patil'; 'Gopal Dommety'
Subject:	MIPv6: Using the last Accepted Sequence Number in BA

Hi all,

In response to a Binding Update which contains an out of range sequence
number, as per sections 9.5.1 and 11.7.1, the CN or HA is allowed to
send a Binding Acknowledgement with a status of 135 after inserting the
last accepted sequence number received in the last valid Binding Update
in the sequence number field (Different from the sequence number
received in the outstanding BU)

According to MN processing of the Binding Acknowledgement as specified
under section 11.7.3., the MN will silently discard the received BA
rather than picking the last accepted sequence number and then generate
a new sequence number. 

I think the intention was to allow the HA or CN to communicate back to
the MN the last accepted sequence number, however, we are breaking the
protocol by using this mechanism.

Could you please comment on this and let me know if I am on the right
track.
Thanks.

Regards,
Ahmad

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: Wednesday, February 21, 2007 3:41 AM
> To: Basavaraj Patil
> Cc: [email-masked]
> Subject: Re: [Mip6] Volunteer to keep track of issues w.r.t RFC3775
> 
> Basavaraj Patil wrote:
> > Alex,
> > 
> > Thanks for volunteering. But Rich Groves had sent in an 
> email prior to 
> > yours and we chose him. Your efforts or help in other tasks 
> for this 
> > WG would be appreciated and we will ask you for such in the near 
> > future.
> 
> The issues around 3775 have been discussed on the mailing 
> list [email-masked] and on the prior mobileip list at 
> playground at SUN since June 2004.  So that's a lot of 
> archived mail to search :-(
> 
> I'm almost 100% sure that more issues than these 4 were 
> discussed.  And I think there are more issues that have not 
> been discussed at all since June 2004, at least DHCP and 
> multicast with the MN-HA tunnel.
> 
> Alex
> 
> > 
> > -Raj
> > 
> > 
> >>> 3775) itself. In fact the charter states: " Additionally 
> the working 
> >>> group will ensure that any issues identified by 
> implementation and 
> >>> interoperability experience are addressed, and that the base 
> >>> specifications are maintained. "
> >>> 
> >>> identified and discussed on the mailing list. Please send 
> the chairs 
> >>> a note if you would be willing to act as the base-spec issue 
> >>> tracker.
> >>> 
> >>> -Raj
> >>> 
> >>>